# What it does
Generates graphs to illustrate replication errors when running multiple cycles of PCR

Required software
----------------
1.python 2.7
2.wxPython
3.matplotlib

How to run
-----------
1. Run the file Gui_backbone.py (run the command "pythonw Gui_backbone.py)
2. Fill out the fields as indicated in the popup window
3. Press Simulate!
4. A graph should pop up showing a line graph that will track how many errors should have theoretically been generated per PCR cycle, along with a percent representation of how different your DNA has become over time


Notes:
----------
This was written for Yale University's 2015 iGem team modeling project.  All citations and references are discussed on their site (http://2015.igem.org/Team:Yale) and related resources.
This is functional, work-in-progress software.  Although it will give an accurate representation of DNA degradation per PCR cycle along with an accurate enumeration of the approximate number of replicaion errors that will exist within a given sample at a given replication number, there are still many avenues for tuning and improvement.

If you would like to help work on this project, please reach out to me @ joseph.lanzone@yale.edu

